# $Revision: 1.12 $, $Date: 2004/05/07 01:09:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZF
Summary:	Compress::LZF Perl module - extremely leight-weight Lev-Zimpel-Free compression
Summary(pl):	Modu Perla Compress::LZF - ekstremalnie lekka kompresja Lev-Zimpel-Free
Name:		perl-Compress-LZF
Version:	0.1045
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	27a609103341c8b3bff921eef5429e96
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The module is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this module into commercial programs. It
is believed that it is free from any patents.

%description -l pl
LZF jest ekstremalnie szybkim (nie tak duo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programw, ktre chc
zaoszczdzi *troch* miejsca, ale nie kosztem szybkoci. Jest idealny
dla powtarzajcych si danych. Modu jest may i nie wymaga adnej
dodatkowej duej biblioteki. Jest wolnodostpny, wic nie powinno by
problemw z wykorzystaniem go w komercyjnych programach. Wedug
aktualnego stanu wiedzy jest wolny od patentw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/LZF.pm
%dir %{perl_vendorarch}/auto/Compress/LZF
%{perl_vendorarch}/auto/Compress/LZF/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZF/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-LZF.spec,v $
Revision 1.12  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:01:46  ankry
- tests added, cosmetics

Revision 1.9  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.8  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/01 18:45:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:14  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/08 11:03:54  radek
- version 0.1045

Revision 1.1  2002/07/21 01:18:45  qboosh
- new

